Valstorm LogoDev

marketing Endpoints

All endpoints for the marketing API group. Great for feeding into an LLM context.

POST

/v1/marketing/campaign/import-contacts

Import Contacts

Import contacts into a campaign based on a SQL query.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/CampaignImportRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/marketing/campaign/bulk-send

Bulk Send

Endpoint to send bulk outreach.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/BulkSend"
      }
    }
  },
  "required": true
}
Responses
202
Successful Response
application/json
{
  "$ref": "#/components/schemas/AcceptedResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/marketing/campaign/csv-to-json

Csv To Json

Convert uploaded CSV file to JSON format.


Request Body
{
  "content": {
    "multipart/form-data": {
      "schema": {
        "$ref": "#/components/schemas/Body_csv_to_json_v1_marketing_campaign_csv_to_json_post"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner